- Main Page
- Classes
- Files

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# moeoCombinedLS< MOEOT, Type > Class Template Reference

This class allows to embed a set of local searches that are sequentially applied, and so working and updating the same archive of non-dominated solutions. More...

`#include <moeoCombinedLS.h>`

Inheritance diagram for moeoCombinedLS< MOEOT, Type >:

List of all members.

## Public Member Functions
| moeoCombinedLS (moeoLS< MOEOT, Type > &_first_mols)
| Ctor.
void | add (moeoLS< MOEOT, Type > &_mols)
| Adds a new local search to combine.
void | operator() (Type _type, moeoArchive< MOEOT > &_arch)
| Gives a new solution in order to explore the neigborhood.
## Private Attributes
std::vector< moeoLS< MOEOT, Type > * > | combinedLS
| the vector that contains the combined LS

## Detailed Description

### template<class MOEOT, class Type>
class moeoCombinedLS< MOEOT, Type >

This class allows to embed a set of local searches that are sequentially applied, and so working and updating the same archive of non-dominated solutions.

Definition at line 25 of file moeoCombinedLS.h.

## Constructor & Destructor Documentation

template<class MOEOT, class Type>

moeoCombinedLS< MOEOT, Type >::moeoCombinedLS | ( | moeoLS< MOEOT, Type > & | _first_mols | ) | `[inline]`

Ctor.

Parameters:

  | _first_mols | the first multi-objective local search to add

Definition at line 33 of file moeoCombinedLS.h.

References moeoCombinedLS< MOEOT, Type >::combinedLS.

## Member Function Documentation

template<class MOEOT, class Type>

void moeoCombinedLS< MOEOT, Type >::add | ( | moeoLS< MOEOT, Type > & | _mols | ) | `[inline]`

Adds a new local search to combine.

Parameters:

  | _mols | the multi-objective local search to add

Definition at line 42 of file moeoCombinedLS.h.

References moeoCombinedLS< MOEOT, Type >::combinedLS.

template<class MOEOT, class Type>

void moeoCombinedLS< MOEOT, Type >::operator() | ( | Type | _type,
|  | moeoArchive< MOEOT > & | _arch |
| ) |  |  | `[inline, virtual]`

Gives a new solution in order to explore the neigborhood.

The new non-dominated solutions are added to the archive

Parameters:

  | _type | the object to apply the local search to
  | _arch | the archive of non-dominated solutions

Implements eoBF< Type, moeoArchive< MOEOT > &, void >.

Definition at line 53 of file moeoCombinedLS.h.

References moeoCombinedLS< MOEOT, Type >::combinedLS.

The documentation for this class was generated from the following file:

- moeoCombinedLS.h